Skip to main content
GET
/
deals
/
pipeline-summary
Get pipeline summary
curl --request GET \
  --url https://api.journeybee.io/v1/deals/pipeline-summary \
  --header 'Authorization: Bearer <token>'
{
  "currency_code": "<string>",
  "stages": [
    {
      "uuid": "<string>",
      "label": "<string>",
      "deal_count": 123,
      "total_value": 123
    }
  ],
  "totals": {
    "deal_count": 123,
    "total_value": 123,
    "unconverted_deal_count": 123,
    "unconverted_currencies": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Query Parameters

partner_type
enum<string>
Available options:
referral,
reseller,
distributor
created_after
string

Only include deals created after this date (ISO 8601, e.g. 2026-01-01)

created_before
string

Only include deals created before this date (ISO 8601, e.g. 2026-03-31)

Response

200 - application/json

Default Response

currency_code
string
required

Company base currency code

stages
object[]
required
totals
object
required